using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace BodyshopPartner.Models
{
    public class QbXmlResponse : DTO_Base
    {
        public QbXmlResponse()
        {

        }

        private string _statusCode;
        public string StatusCode
        {
            get { return _statusCode; }
            set { SetProperty(ref _statusCode, value); }
        }

        private string _statusSeverity;
        public string StatusSeverity
        {
            get { return _statusSeverity; }
            set { SetProperty(ref _statusSeverity, value); }
        }

        private string _statusMessage;
        public string StatusMessage
        {
            get { return _statusMessage; }
            set { SetProperty(ref _statusMessage, value); }
        }

        private string _responseType;
        public string ResponseType
        {
            get { return _responseType; }
            set { SetProperty(ref _responseType, value); }
        }

        private XDocument _response;
        public XDocument Response
        {
            get { return _response; }
            set { SetProperty(ref _response, value); }
        }

        public override string ToString()
        {
            return $"Response Type: {ResponseType} | Severity: {StatusSeverity} | Code: {StatusCode} | {StatusMessage}";
        }
    }
}
